> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf/round-details-scenarios/hole-started-finished.md).

# Hole: Started / Finished

### Hole Started

Indicates a team has started to play a particular hole.

**Hole Started Object**

| Field Name        | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| seqNum            | integer | The sequence number of the packet.                                                                                                                                                                                                                                                                                                                                                          |
| groupId           | integer | \[Optional] The group ID of the player who did the event                                                                                                                                                                                                                                                                                                                                    |
| groupNo           | integer | The group number of the player who did the event                                                                                                                                                                                                                                                                                                                                            |
| teamNo            | integer | The team number of the player who did the event                                                                                                                                                                                                                                                                                                                                             |
| holeNo            | integer | The hole in which the event took place                                                                                                                                                                                                                                                                                                                                                      |
| holeOrder         | integer | The hole order of the hole in which the event took place (e.g. if a player starts a round on hole 10, this will be 1) – always starts at 1 and ends on 18                                                                                                                                                                                                                                   |
| courseId          | integer | The ID of the course where the event took place                                                                                                                                                                                                                                                                                                                                             |
| timestamp         | date    | The timestamp of the event, in UTC                                                                                                                                                                                                                                                                                                                                                          |
| timestampReceived | date    | The server time of the moment that this packet has been processed                                                                                                                                                                                                                                                                                                                           |
| eventElementType  | string  | <p>The type of event<br><br></p><p>Full list of values include:<br></p><ul><li>TglHammerThrown</li><li>RefereeCalled</li><li>HoleScoreUpdate</li><li>Correction</li><li>ModeChange</li><li>Penalty</li><li>RoundStatusUpdate</li><li>BallDrop</li><li>ProvisionalBallSelected</li><li>HitBall</li><li>AddressingBall</li><li>ApproximateLie</li><li>DetailedLie</li><li>BallHoled</li></ul> |
| state             | object  | The type of status update, in this case always Hole Started.                                                                                                                                                                                                                                                                                                                                |
| roundNo           | integer | The round number                                                                                                                                                                                                                                                                                                                                                                            |

\
**Sample Event Packet:**

```
{
  "courseId": "392",
  "eventElementType": "RoundStatusUpdate",
  "groupId": 1211220,
  "groupNo": 17,
  "holeNo": 10,
  "holeOrder": 1,
  "roundNo": 1,
  "seqNum": 2,
  "state": "HoleStarted",
  "teamNo": 10,
  "timestamp": "2025-02-20T05:17:36.000Z",
  "timestampReceived": "2025-02-20T05:17:36.776Z"
}
```

### Hole Finished

Indicates a team has finished playing a particular hole.

**Hole Finished Object**

| Field Name        | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| seqNum            | integer | The sequence number of the packet.                                                                                                                                                                                                                                                                                                                                                          |
| groupId           | integer | \[Optional] The group ID of the player who did the event                                                                                                                                                                                                                                                                                                                                    |
| groupNo           | integer | The group number of the player who did the event                                                                                                                                                                                                                                                                                                                                            |
| teamNo            | integer | The team number of the player who did the event                                                                                                                                                                                                                                                                                                                                             |
| holeNo            | integer | The hole in which the event took place                                                                                                                                                                                                                                                                                                                                                      |
| holeOrder         | integer | The hole order of the hole in which the event took place (e.g. if a player starts a round on hole 10, this will be 1) – always starts at 1 and ends on 18                                                                                                                                                                                                                                   |
| courseId          | integer | The ID of the course where the event took place                                                                                                                                                                                                                                                                                                                                             |
| timestamp         | date    | The timestamp of the event, in UTC                                                                                                                                                                                                                                                                                                                                                          |
| eventElementType  | string  | <p>The type of event<br><br></p><p>Full list of values include:<br></p><ul><li>TglHammerThrown</li><li>RefereeCalled</li><li>HoleScoreUpdate</li><li>Correction</li><li>ModeChange</li><li>Penalty</li><li>RoundStatusUpdate</li><li>BallDrop</li><li>ProvisionalBallSelected</li><li>HitBall</li><li>AddressingBall</li><li>ApproximateLie</li><li>DetailedLie</li><li>BallHoled</li></ul> |
| state             | string  | The type of status update, in this case always Hole Finished                                                                                                                                                                                                                                                                                                                                |
| finishReason      | string  | “finishReason” is a string value that explains why a Hole was finished, can be BallHoled, Disqualified, Withdrawn.                                                                                                                                                                                                                                                                          |
| roundNo           | integer | Round number                                                                                                                                                                                                                                                                                                                                                                                |
| score             | array   | See object below                                                                                                                                                                                                                                                                                                                                                                            |
| scorePending      | boolean | if score is pending                                                                                                                                                                                                                                                                                                                                                                         |
| timestampReceived | date    | TThe server time of the moment that this packet has been processed                                                                                                                                                                                                                                                                                                                          |

**Score Object**

| Field Name             | Type    | Description                |
| ---------------------- | ------- | -------------------------- |
| currentHolePar         | integer | Current hole score         |
| currentHoleStrokes     | integer | current strokes on hole    |
| currentRoundScoreToPar | string  | Current round to par score |
| overallScoreToPar      | string  | overall score              |

**Sample Event Packet:**

```
{
  "courseId": "392",
  "eventElementType": "RoundStatusUpdate",
  "finishReason": "BallHoled",
  "groupId": 1211220,
  "groupNo": 17,
  "holeNo": 10,
  "holeOrder": 1,
  "roundNo": 1,
  "score": {
    "currentHolePar": 5,
    "currentHoleStrokes": 4,
    "currentRoundScoreToPar": "-1",
    "overallScoreToPar": "-1"
  },
  "scorePending": false,
  "": 6,
  "state": "HoleFinished",
  "teamNo": 10,
  "timestamp": "2025-02-20T05:17:36.000Z",
  "timestampReceived": "2025-02-20T05:17:37.892Z"
}
```

## Doc navigation

[← Round: Started / Finished / Official](/golf/round-details-scenarios/round-started-finished-official.md)[Standard Stroke Events →](/golf/round-details-scenarios/standard-stroke-events.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/golf/round-details-scenarios/hole-started-finished.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
